/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log.parser.api.model;

import static org.junit.Assert.assertEquals;

import java.util.TreeSet;

import org.junit.Test;

/**
 * Unit test about {@link FlowStep}
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class FlowStepTest {

    /**
     * Check that {@link Flow} can be used into a {@link TreeSet}
     */
    @Test
    public void toString_minimalistic() {
        final String flowStepId = "a-flow-step-id";
        final FlowStep flowStep = new FlowStep(flowStepId);

        assertEquals(flowStepId, flowStep.toString());
    }

}
